commit:     ece70ecf8cdc499919365e26af0c195d8597e8c5
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 27 09:49:45 2019 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Tue Aug 27 10:24:08 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ece70ecf

app-editors/ersatz-emacs: Bump EAPI to 7.

Package-Manager: Portage-2.3.73, Repoman-2.3.17
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 .../ersatz-emacs/ersatz-emacs-20060515-r1.ebuild   | 43 ++++++++++++++++++++++
 .../files/ersatz-emacs-20060515-gentoo.patch       | 16 ++++----
 2 files changed, 51 insertions(+), 8 deletions(-)

diff --git a/app-editors/ersatz-emacs/ersatz-emacs-20060515-r1.ebuild 
b/app-editors/ersatz-emacs/ersatz-emacs-20060515-r1.ebuild
new file mode 100644
index 00000000000..2506526d39d
--- /dev/null
+++ b/app-editors/ersatz-emacs/ersatz-emacs-20060515-r1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="A very minimal imitation of the famous GNU Emacs editor"
+HOMEPAGE="https://web.archive.org/web/20171126221613/http://hunter.apana.org.au/~cjb/Code/";
+# taken from http://hunter.apana.org.au/~cjb/Code/ersatz.tar.gz
+SRC_URI="mirror://gentoo/${P}.tar.gz"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="sys-libs/ncurses:0="
+RDEPEND="${DEPEND}
+       !app-editors/ee"
+BDEPEND="virtual/pkgconfig"
+
+S="${WORKDIR}"
+
+src_prepare() {
+       eapply "${FILESDIR}"/${P}-gentoo.patch
+       sed -i -e "s%/usr/local/share/%/usr/share/doc/${PF}/%" ee.1 \
+               || die "sed failed"
+       eapply_user
+}
+
+src_compile() {
+       emake CC="$(tc-getCC)" \
+               CFLAGS="${CFLAGS} -Wall" \
+               LFLAGS="${LDFLAGS} $("$(tc-getPKG_CONFIG)" --libs ncurses)"
+}
+
+src_install() {
+       # Note: /usr/bin/ee is "easy edit" on FreeBSD, so if this
+       # is ever keyworded *-fbsd the binary has to be renamed.
+       dobin ee
+       doman ee.1
+       dodoc ChangeLog ERSATZ.keys README
+}

diff --git a/app-editors/ersatz-emacs/files/ersatz-emacs-20060515-gentoo.patch 
b/app-editors/ersatz-emacs/files/ersatz-emacs-20060515-gentoo.patch
index 67c40e78924..3a31f2f116c 100644
--- a/app-editors/ersatz-emacs/files/ersatz-emacs-20060515-gentoo.patch
+++ b/app-editors/ersatz-emacs/files/ersatz-emacs-20060515-gentoo.patch
@@ -1,5 +1,5 @@
---- display.c
-+++ display.c
+--- a/display.c
++++ b/display.c
 @@ -5,6 +5,7 @@
   * hints that are left in the windows by the commands
   */
@@ -16,8 +16,8 @@
    int i;
  
    (*term.t_open) ();
---- line.c
-+++ line.c
+--- a/line.c
++++ b/line.c
 @@ -47,7 +47,6 @@
  {
    LINE *lp;
@@ -35,8 +35,8 @@
    char *nbufp;
  
    if (kused == ksize)
---- tcap.c
-+++ tcap.c
+--- a/tcap.c
++++ b/tcap.c
 @@ -2,6 +2,7 @@
  
  #define       termdef 1               /* don't define "term" external */
@@ -45,8 +45,8 @@
  #include <stdio.h>            /* puts(3), snprintf(3) */
  #include "estruct.h"
  #include "edef.h"
---- termio.c
-+++ termio.c
+--- a/termio.c
++++ b/termio.c
 @@ -5,6 +5,7 @@
   */
  

Reply via email to